Bug 842840 - Missing obsoletes for openconnect-lib-compat on F18
Missing obsoletes for openconnect-lib-compat on F18
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openconnect (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 13:30 EDT by Kalev Lember
Modified: 2013-04-01 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: openconnect-4.07-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 21:33:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-07-24 13:30:26 EDT
On F18, the openconnect-lib-compat is gone, which breaks the F17->F18 upgrade path. Could you add Obsoletes to the F18 openconnect to deal with this, please?

Error: Package: openconnect-lib-compat-4.04-1.fc17.x86_64 (@updates)
           Requires: openconnect = 4.04-1.fc17
           Removing: openconnect-4.04-1.fc17.x86_64 (@updates)
               openconnect = 4.04-1.fc17
           Updated By: openconnect-4.06-1.fc18.x86_64 (rawhide)
               openconnect = 4.06-1.fc18
Comment 1 Fedora Update System 2012-08-31 19:11:00 EDT
openconnect-4.07-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openconnect-4.07-2.fc18
Comment 2 Fedora Update System 2012-09-17 18:46:23 EDT
openconnect-4.07-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Kayvan Sylvan 2012-11-22 16:54:53 EST
Additional info:

I just spun up a Fedora 16 Live CD on VirtualBox and did:

yum install openconnect
openconnect -v myserver

and in another terminal window:

ping internal-server-name
978 packets transmitted, 978 received, 0% packet loss, time 978625ms.

Then I did the same with the Fedora 17 Live CD, with similar results. No packet loss and a reliable connection that seems solid.

However, the VirtalBox host, my machine that I upgraded from F16 to F17 (that used to work reliably with the Cisco VPN when it was on Fedora 16) only stays on the VPN for a minute or two before hanging and giving me the Dead Peer Detection messages in the openconnect log.

Any ideas?
Comment 4 Kayvan Sylvan 2012-11-22 17:06:58 EST
Oops. Comment made on wrong bug. Sorry.

Note You need to log in before you can comment on or make changes to this bug.